import Vue from 'vue';
import Vuex from 'vuex';
import login from '@frame/store/login';
import trainplan from '@frame/store/trainplan';
import classes from '@frame/store/classes';
import director from '@frame/store/director';
import lesson from '@frame/store/lesson';
import teacher from '@frame/store/teacher';
import student from '@frame/store/student';

import * as ustate from '@frame/store/user/state';
import * as umutations from '@frame/store/user/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    trainplan,
    login,
    classes,
    director,
    lesson,
    teacher,
    student,
  },
});
